import React, { Fragment } from 'react';
import Styled from 'styled-components/native'

const Container = Styled.TouchableOpacity``;
const Icon = Styled.Image``;

const CountLabel = Styled.Text`
    font-size: 24px;
    font-weight: bold;
`;

interface Props {
    iconName: 'plus' | 'minus';
    onPress?: () => void;
}

const Button = ({iconName, onPress}: Props) => {
    return (
        <Container onPress={onPress}>
            <Icon
                source={
                    iconName === 'plus'
                        ? require('~/Assets/Images/add.png')
                        : require('~/Assets/Images/remove.png')
                }
            />
        </Container>
    );
};

export default Button;